coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment2609170000

Processing 'already released'

KRTW
# 01

簡介

Processing 'already released'

# 02

詳細內容

Available buyer market: Korean

You can use this feature for the product in the status of RELEASE_STOP_UNCHECKED or both RETURNS_UNCHECKED and release status of "N" when running a query on a list of return requests as a result of customers cancelling their orders.
The feature is designed for the product already shipped by seller.

If the product was shipped in spite of customer's request for 'release stop', the seller is liable for a round trip shipping fee for return.

路徑

PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment

範例端點

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/completedShipment

URL API Name

STOP_RETURN_REQUEST_BY_RECEIPT
# 03

Path 參數

NameTypeDescription
receiptId*number
Receipt ID
vendorId*string
Vendor ID

A unique code Coupang assigns to a vendor
e.g.) A00012345
# 04

請求內容

請求參數

請求內容參數

NameTypeDescription
vendorId*string
Vendor ID

A unique code Coupang assigns to a vendor
e.g.) A00012345
receiptId*integer
Receipt ID
deliveryCompanyCode*string
Courier code
Go to courier code
invoiceNumber*string
Invoice number
請求範例application/json
{
  "vendorId": "TESTVENDORID",
  "receiptId": 12346897,
  "deliveryCompanyCode": "KDEXP",
  "invoiceNumber": "70432743577"
}
# 05

回應內容

回應訊息

NameTypeDescription
codestring
Server response code
messagestring
Server response message
dataobject
resultCode
data.resultCode
string
SUCCESS/FAIL
resultMessage
data.resultMessage
string
Result message

Response Example

{
 "data" : {
 "code" : "200" ,
 "message" : "OK" ,
 "resultCode" : "SUCCESS" ,
 "resultMessage" : "Released status changed successfully. }
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (Check the requested variable)

You cannot register invoice number as you already have one registered. (To upload the same invoice number : the recipient should be the same person) [Consolidated packaging number : 10275****15]

Check that the registered invoice number is the one already registered on Coupang. Refer to FAQ

400400 (Check the requested variable)

Invoice number is not valid. [Consolidated packaging number : 1167***03]

Check that the entered invoice number is correct.